.media{
    margin: 10vh auto;
}

.media-item-container .media-item{
    position: relative;
    width: 60vw;
    height: 34vw;
    margin: 5vh auto;
}

.media-item-container .media-item img,
.media-item-container .media-item iframe{
    width: 100%;
    height: 100%;
    object-fit: contain;
    margin: auto;
}

.indicator{
    width: max-content;
    margin: auto;
    display: flex;
    line-height: 15px;
    align-items: center;
}

.indicator .indicator-item{
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: white;
    margin: 0 5px;
}

.indicator .indicator-item.active{
    width: 15px;
    height: 15px;
    background-color: crimson;
}

.prev-media-button,
.next-media-button{
    position: absolute;
    margin-top: calc(17vw + 2.5vh);
    padding: 0;
    width: 4rem;
    height: 4rem;
    line-height: 4rem;
    z-index: 1;
}

.prev-media-button{
    left: 0;
}

.next-media-button{
    right: 0;
}

.prev-media-button i,
.next-media-button i{
    font-size: 3rem;
    color: white;
}

.prev-media-button:hover,
.next-media-button:hover{
    background-color: rgba(255, 255, 255, .1);
}

@media only screen and (min-width : 3840px) {
    .prev-media-button,
    .next-media-button{
        width: 8rem;
        height: 8rem;
        line-height: 8rem;
    }

  .indicator .indicator-item.active {
    width: 30px;
    height: 30px;
    background-color: crimson;
  }

  .indicator .indicator-item {
      width: 20px;
      height: 20px;
      margin: 0 10px;
  }
}

@media only screen and (min-width : 1920px) {
    .prev-media-button,
    .next-media-button{
        width: 6rem;
        height: 6rem;
        line-height: 6rem;
    }
}
  
@media only screen and (max-width : 600px) {
    .media-item-container .media-item{
        width: 100vw;
        height: 56vw;
    }

    .prev-media-button,
    .next-media-button{
        margin-top: calc(28vw + 2.5vh);
        width: 20px;
        background-color: transparent;
    }

    .prev-media-button i,
    .next-media-button i{
        font-size: 2rem;
    }

    .next-media-button{
        right: 2vw;
    }
}